Interface WebTemplate
- All Superinterfaces:
PropertyConfigurable
- All Known Implementing Classes:
AbstractWebTemplate
- Author:
- Daniel Sagenschneider
-
Method Summary
Modifier and TypeMethodDescriptionaddExtension(String webTemplateExtensionClassName) Adds aWebTemplateExtensionfor thisWebTemplate.addGovernance(OfficeGovernance governance) AddsGovernancefor thisWebTemplate.addRenderHttpMethod(String httpMethodName) Adds aHttpMethodthat will render theWebTemplate.Obtains theHttpSecurableBuilderto configure access controls to thisWebTemplate.Obtains theOfficeFlowSourceNodefrom theWebTemplate.Obtains theOfficeFlowSinkNodeto render theWebTemplate.setCharset(String charsetName) Allow overriding the defaultCharsetto render theWebTemplate.setContentType(String contentType) Specifies theContent-Typeoutput by thisWebTemplate.setLinkSecure(String linkName, boolean isSecure) Indicate whether a secure connection is required for the link.setLinkSeparatorCharacter(char separator) Allows overriding the default separator character between the path and link.setLogicClass(String logicClassName) Specifies the logicClass.setRedirectValuesFunction(String functionName) Specifies theMethodname on the logicClassto provide the values for redirect path parameters to thisWebTemplate.setSuperTemplate(WebTemplate superTemplate) Specifies the super (parent)WebTemplate.Methods inherited from interface net.officefloor.compile.properties.PropertyConfigurable
addProperty
-
Method Details
-
setLogicClass
Specifies the logicClass.- Parameters:
logicClassName- Name of the logicClass.- Returns:
this.
-
setRedirectValuesFunction
Specifies the
Methodname on the logicClassto provide the values for redirect path parameters to thisWebTemplate. The returned type from theMethodwill be used to source values for parameters in constructing the path to thisWebTemplate.Should the path to the template be static (i.e. has no path parameters), no
Methodneed be specified. -
setContentType
Specifies theContent-Typeoutput by thisWebTemplate.- Parameters:
contentType-Content-Typeoutput by thisWebTemplate.- Returns:
this.
-
setCharset
Allow overriding the defaultCharsetto render theWebTemplate.- Parameters:
charsetName- Name ofCharsetto render theWebTemplate.- Returns:
this.
-
setLinkSeparatorCharacter
Allows overriding the default separator character between the path and link.- Parameters:
separator- Separator to use to separate path and link.- Returns:
this.
-
setLinkSecure
Indicate whether a secure connection is required for the link. This overrides the default template secure setting for the link.
Example use could be the landing page may be insecure but the login form submission link on the page is to be secure.
- Parameters:
linkName- Name of link to secure.isSecure-trueshould the link require a secureServerHttpConnection.- Returns:
this.
-
getHttpSecurer
HttpSecurableBuilder getHttpSecurer()Obtains the
HttpSecurableBuilderto configure access controls to thisWebTemplate.Calling this method without providing configuration requires only authentication to access the
WebTemplate.- Returns:
HttpSecurableBuilder.
-
addRenderHttpMethod
Adds a
HttpMethodthat will render theWebTemplate. Should theHttpMethodnot be in this list, a redirect will occur toHttpMethod.HttpMethodEnum.GET.Note that
HttpMethod.HttpMethodEnum.GETis added by default.- Parameters:
httpMethodName- Name of theHttpMethodthat will render theWebTemplate.- Returns:
this.
-
setSuperTemplate
Specifies the super (parent)WebTemplate.- Parameters:
superTemplate- SuperWebTemplate.- Returns:
this.
-
addExtension
Adds aWebTemplateExtensionfor thisWebTemplate.- Parameters:
webTemplateExtensionClassName-WebTemplateExtensionClassname.- Returns:
WebTemplateExtensionBuilderto build theWebTemplateExtension.
-
getRender
Obtains theOfficeFlowSinkNodeto render theWebTemplate.- Parameters:
valuesTypeName- Name of type provided as a parameter to theOfficeFlowSinkNodeshould the path parameters require being obtained. The type should provide a bean property for each path parameter for theWebTemplate. May benullif no path parameters are required.- Returns:
OfficeFlowSinkNodeto render theWebTemplate.
-
getOutput
Obtains theOfficeFlowSourceNodefrom theWebTemplate.- Parameters:
outputName-OfficeFlowSourceNodename.- Returns:
OfficeFlowSourceNodefor the name.
-
addGovernance
Adds
Governancefor thisWebTemplate.This enables providing
Governanceover allOfficeSectionFunctioninstances within theWebTemplateand all its subsequentOfficeSubSectioninstances.- Parameters:
governance-OfficeGovernance.- Returns:
this.
-